/*
 * MainViewer.h
 *
 */

#ifndef MAINVIEWER_H_
#define MAINVIEWER_H_

#include <QGLViewer/qglviewer.h>

class Scene;
class ViewerPool;

class MainViewer: public QGLViewer
{
public:
	MainViewer(Scene* s, ViewerPool* pool, QWidget* v, int type, QWidget* parent, const QGLWidget* shareWidget = 0);

protected:
	virtual void init();
	virtual void draw();
	virtual QString helpString() const;
	virtual void setKeyDescriptions();

private:
	void keyPressEvent(QKeyEvent *event);
	void loadMesh();
	void loadParameters();

private:
	Scene *scene;
	ViewerPool *pool;
	QWidget *sectionViewer;
};

#endif /* MAINVIEWER_H_ */
