/*
 * CellGroup.h
 *
 */

#ifndef CELLGROUP_H_
#define CELLGROUP_H_

// Include
#include <QVector>
#include <QRectF>

class Cell;

// Struct definition
struct CellGroup
{
public:
	CellGroup();
	CellGroup(QVector<Cell *> cells, bool orientation = false);
	CellGroup(Cell *start, int size, bool orientation = false, const QRectF &box = QRectF());

	int computeSize() const;
	bool computeOrientation() const;
	void updateCellsOrientation() const;

	void updateBoundingBox();
	void setGroupIndex(int index);
	int eraseBetween(Cell *left, Cell *right);
	int eraseAliveBetween(Cell *left, Cell *right);

	void checkConsistency();

	Cell *start;
	int size;

	QRectF box;
	bool allDead;
	bool doNotKeep;
	bool orientation;
};

#endif /* CELLGROUP_H_ */
