/*
 * Mesh.h
 *
 */

#ifndef MESH_H_
#define MESH_H_

#include "Object.h"
#include <QtGlobal>
#include <QVector>
#include <QVector3D>

struct Mesh: public Object
{
	Mesh();
	virtual ~Mesh();

	void draw() const;
	float computeRadius() const;

	struct Face;

	QVector<Face> faces;
	QVector<QVector3D> vertices;
	QVector<QVector3D> normals;
	QVector<QVector3D> texCoords;

	bool hasNormals;
	bool hasTexCoords;
};

struct Mesh::Face
{
	Face() {
	}
	Face(uint a, uint b, uint c) :
		vertices { a, b, c } {
	}
	uint vertices[3];
};

#endif /* MESH_H_ */
