/*
 * Parameters.h
 *
 */

#ifndef PARAMETERS_H_
#define PARAMETERS_H_

#include "StdDefinition.h"
#include <cmath>
#include <QRect>
#include <QColor>
#include <QString>

struct Parameters
{
	Parameters();
	virtual ~Parameters();

	void load(const QString & fileName);
	void showSeed() const;

	double zeta; // Transition from earlywood to latewood
	double distanceLimit; // Maximum authorized distance between newly created cells
	double initialSpeed[4]; // Initial speed of each of the four first cells
	double angularStdev; // Stdev of the angular speed's normal distribution
	double lengthStdev; // Stdev of the speed's length normal distribution
	int growthIter; // Number of generations in the simulation process
	int stepPerCycle; // Number of generations to go from earlywood to latewood
	QColor cEarly, cLate; // Color for earlywood and latewood

	ull randomSeed;

private:
	void initialize();
	ull defaultRandomSeed;
};

#endif /* PARAMETERS_H_ */
