#ifndef STDDEFINITION_H_
#define STDDEFINITION_H_

// Include
#include <cmath>

// Definitions
#ifndef NULL
#define NULL 0
#endif

#ifndef ull
typedef long long unsigned int ull;
#endif

// Constants
static const double Pi = 3.141592653589793238462643383279502884197169399375105820974944592307816406286;
static const double fEpsilon = 1e-6;

// Inline functions
template<typename T> inline T mod(T x, T n) {
	return ((x % n) + n) % n;
}

template<> inline double mod<double>(double x, double n) {
	return fmod(fmod(x, n) + n, n);
}

#endif // STDDEFINITION_H_
