CONFIG   += silent opengl debug # debug release
QT       += core opengl xml

TARGET = viewer
TEMPLATE = app
DEFINES = DEBUG # VERBOSE

DEPENDPATH += . application cell scene util wood
INCLUDEPATH += . application cell scene util wood

MOC_DIR = compile/moc
OBJECTS_DIR = compile/objects
RCC_DIR = compile/resources
UI_DIR = compile/ui
UI_HEADERS_DIR = compile/ui/include
UI_SOURCES_DIR = compile/ui/src

# Compilation flags
QMAKE_CXXFLAGS += -std=c++0x

# New in qmake 4.8
defineTest(packagesExist) {
	isEmpty(PKG_CONFIG):PKG_CONFIG = pkg-config
	for(package, ARGS) {
		!system($$PKG_CONFIG --exists $$package):return(false)
	}
	return(true)
}

# OpenCV
packagesExist(opencv) {
	CONFIG += link_pkgconfig
	PKGCONFIG += opencv
	DEFINES += OPENCV
}

# libQGLViewer
INCLUDEPATH += /usr/include/
LIBS += -L/usr/lib -lQGLViewer

########################################
# Miscellaneous files
########################################
HEADERS += Mesh.h \
	MeshImporter.h \
	Parameters.h \
	Geometry.h \
	Random.h \
	Triplet.h \
	Color.h \
	Object.h \
	Scene.h \
	MainViewer.h \
	PlaneViewer.h \
	ViewerPool.h \
	WoodSection.h \
	WoodCells.h \
	WoodSkeleton.h \
	CellIntersections.h \
	CellGroup.h \
	Cell.h

SOURCES += Main.cpp \
	Mesh.cpp \
	MeshImporter.cpp \
	Parameters.cpp \
	Object.cpp \
	Random.cpp \
	Scene.cpp \
	MainViewer.cpp \
	PlaneViewer.cpp \
	ViewerPool.cpp \
	WoodSection.cpp \
	WoodCells.cpp \
	WoodSkeleton.cpp \
	CellIntersections.cpp \
	CellGroup.cpp \
	Cell.cpp

RESOURCES += #resources.qrc
FORMS += #mainwindow.ui
TRANSLATIONS += #english.ts french.ts

#CODECFORTR = UTF-8
#CODECFORSRC = UTF-8