/*
 * WoodSkeleton.h
 *
 */

#ifndef WOODSKELETON_H_
#define WOODSKELETON_H_

// Include
#include "Object.h"
#include "Triplet.h"
#include <QList>
#include <QVector>
#include <QVector3D>

// Class declaration
class WoodCells;
class CellGroup;

// Class definition
class WoodSkeleton: public Object
{
public:
	WoodSkeleton(const WoodCells *cells = 0);
	virtual ~WoodSkeleton();

	float computeRadius() const;
	void draw(bool wireframe = false) const;

private:
	void buildFaces(const WoodCells &cells);
	void buildTriangles(const WoodCells &cells);
	void buildPolygons(const QVector<CellGroup> &groups, bool orientation);

private:
	QVector<QVector3D> vertices;
	QVector<QVector3D> colors;
	QList<QVector<uint> > faces;
	QVector<Triplet> triangles;
};

#endif /* WOODSKELETON_H_ */
